Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518130 - [abrt] setroubleshoot: _g_log_abort(): seapplet killed by SIGTRAP
Summary: [abrt] setroubleshoot: _g_log_abort(): seapplet killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a3243d48258c57eeeb06b68bd9b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 09:39 UTC by Paulo Fidalgo
Modified: 2018-11-30 22:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:39:36 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: cgroup (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: core_backtrace (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: cpuinfo (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: dso_list (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: environ (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: limits (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: maps (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: mountinfo (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: open_fds (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details
File: proc_pid_status (deleted)
2017-11-28 09:39 UTC, Paulo Fidalgo
no flags Details

Description Paulo Fidalgo 2017-11-28 09:39:32 UTC
Description of problem:
The crash happened right after bootup KDE after a startup.

Version-Release number of selected component:
setroubleshoot-3.3.12-5.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/seapplet
crash_function: _g_log_abort
executable:     /usr/bin/seapplet
journald_cursor: s=effd623c2dd54d5eb8b8f06e6c4678c4;i=13dd53;b=7a83340534f14587a256ab46558fb799;m=7b308dc36;t=55effea4323ee;x=d47d19a91ea24745
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 _g_log_abort at gmessages.c:554
 #1 g_log_default_handler at gmessages.c:3051
 #9 XPending at Pending.c:55
 #10 gdk_check_xpending at gdkevents-x11.c:159
 #11 gdk_event_check at gdkevents-x11.c:2400
 #12 g_main_context_check at gmain.c:3719
 #15 gtk_main at gtkmain.c:1268

Potential duplicate: bug 1477555

Comment 1 Paulo Fidalgo 2017-11-28 09:39:39 UTC
Created attachment 1359742 [details]
File: backtrace

Comment 2 Paulo Fidalgo 2017-11-28 09:39:41 UTC
Created attachment 1359743 [details]
File: cgroup

Comment 3 Paulo Fidalgo 2017-11-28 09:39:43 UTC
Created attachment 1359744 [details]
File: core_backtrace

Comment 4 Paulo Fidalgo 2017-11-28 09:39:44 UTC
Created attachment 1359745 [details]
File: cpuinfo

Comment 5 Paulo Fidalgo 2017-11-28 09:39:46 UTC
Created attachment 1359746 [details]
File: dso_list

Comment 6 Paulo Fidalgo 2017-11-28 09:39:48 UTC
Created attachment 1359747 [details]
File: environ

Comment 7 Paulo Fidalgo 2017-11-28 09:39:49 UTC
Created attachment 1359748 [details]
File: limits

Comment 8 Paulo Fidalgo 2017-11-28 09:39:52 UTC
Created attachment 1359749 [details]
File: maps

Comment 9 Paulo Fidalgo 2017-11-28 09:39:53 UTC
Created attachment 1359750 [details]
File: mountinfo

Comment 10 Paulo Fidalgo 2017-11-28 09:39:55 UTC
Created attachment 1359751 [details]
File: open_fds

Comment 11 Paulo Fidalgo 2017-11-28 09:39:57 UTC
Created attachment 1359752 [details]
File: proc_pid_status

Comment 12 Orion Poplawski 2018-04-20 15:34:52 UTC
I seem to be seeing this when a KDE user logs outs.  Not sure if there is anything that needs to be configured to shut seapplet down gracefully rather than killing the X server out from under it which is what I assume is happening here.

Comment 13 Ben Cotton 2018-11-27 14:33:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 22:39:36 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.